{% extends 'crud/edit.html' %}
{% load crispy_forms_tags %}
{% load js_utils %}

{% block content %}
    <div class="container-fluid">
        <form method="post" novalidate enctype="multipart/form-data">
            {% csrf_token %}
            {{ edit_form.name|as_crispy_field }}
            {{ edit_form.rate|as_crispy_field }}
            {{ edit_form.is_podushka|as_crispy_field }}
            {{ edit_form.podushka_cost|as_crispy_field }}
            {{ edit_form.one_visit_price|as_crispy_field }}
            {{ edit_form.departament|as_crispy_field }}
            {{ edit_form.training_days }}
            <div class="input-group clockpicker" data-placement="left" data-align="top" data-autoclose="true">
            {{ edit_form.training_time_begin }}
            </div>

            <!-- Example single danger button -->
                                          <div class="btn-group">
                                              <button type="button" class="btn btn-primary dropdown-toggle"
                                                      data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                   Выбор дня недели
                                              </button>
                                              <div class="dropdown-menu">
                                                  <style>
                                                      .training {
                                                          display: flex;
                                                          flex-direction: row;
                                                          align-items: center;
                                                      }
                                                  </style>
                                                  <div class="training">
                                                      {{ training_days.monday|crispy }}
                                                  </div>

                                                  <div class="training">
                                                      {{ training_days.tuesday|crispy }}
                                                  </div>
                                                  <div class="training">
                                                      {{ training_days.wednesday|crispy }}
                                                  </div>

                                                  <div class="training">
                                                      {{ training_days.thursday|crispy }}
                                                  </div>

                                                  <div class="training">
                                                      {{ training_days.friday|crispy }}
                                                  </div>

                                                  <div class="training">
                                                      {{ training_days.saturday|crispy }}
                                                  </div>
                                                  <div class="training">
                                                      {{ training_days.sunday|crispy }}
                                                  </div>
                                              </div>
                                          </div>

                                          <!-- Example single danger button -->
            {{ edit_form.training_duration|as_crispy_field }}
            {{ edit_form.tutor|as_crispy_field }}
    {% dropdown_by_check %}

{% load static %}
<script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>
<script src="https://rawgit.com/RobinHerbots/jquery.inputmask/3.x/dist/jquery.inputmask.bundle.js"></script>
<script type="application/javascript">
    $('#time_monday').inputmask("hh:mm", {
        placeholder: "HH:MM",
      }
   );

        $('#time_tuesday').inputmask("hh:mm", {
        placeholder: "HH:MM",
      }
   );

        $('#time_wednesday').inputmask("hh:mm", {
        placeholder: "HH:MM",
      }
   );

    $('#time_thursday').inputmask("hh:mm", {
        placeholder: "HH:MM",
      }
   );

    $('#time_friday').inputmask("hh:mm", {
        placeholder: "HH:MM",
      }
   );
    $('#time_saturday').inputmask("hh:mm", {
        placeholder: "HH:MM",
      }
   );

    $('#time_sunday').inputmask("hh:mm", {
    placeholder: "HH:MM",
      }
   );
</script>

            <button type="submit" class="btn btn-success">Обновить</button>
            <button type="button" class="btn btn-danger" onclick="window.location.href = document.referrer">Отменить</button>
        </form>
    </div>
{% endblock %}

{% block custom_includes %}
    {% load static %}
   
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
<script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>

    <script src="{% static 'custom/js/miltiplyCheckboxesChoice.js' %}"></script>
    <link rel="stylesheet" href="{% static 'custom/css/bootstrap-multiselect.css' %}">
    <script src="{% static 'custom/js/bootstrap-multiselect.js' %}"></script>
    <script src="{% static 'custom/js/groups-multiselect-input.js' %}"></script> {# TODO: доделать редактирование #}
{#    <script src="{% static 'custom/clockpicker/src/clockpicker.js' %}"></script>#}
{#    <link rel="stylesheet" href="{% static 'custom/clockpicker/src/clockpicker.css' %}">#}
{#    <script src="{% static 'custom/js/timepicker.js' %}"></script>#}
{% endblock %}